"""Load the config for JARVIS"""
from jarvis_core.config import Config as CConfig


class JarvisConfig(CConfig):
    REQUIRED = ("token", "mongo", "urls", "redis")
    OPTIONAL = {
        "sync": False,
        "log_level": "WARNING",
        "cogs": None,
        "events": True,
        "gitlab_token": None,
        "max_messages": 1000,
        "twitter": None,
        "reddit": None,
        "rook_token": None,
    }
